org.apache.ignite.internal.processors.odbc.odbc

## Class OdbcQuery

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.odbc.OdbcQuery

    public class OdbcQuery
    extends Object

ODBC SQL query with parameters.

### Constructor Summary

Constructors
Constructor and Description
`OdbcQuery()` Default constructor is used for serialization.

### Method Summary

All Methods Instance Methods Concrete Methods
`Object[]` `args()`
`void` `readBinary(BinaryReaderExImpl reader)` Reads fields from provided reader.
`String` `sql()`
`String` `toString()`
`void` `writeBinary(BinaryWriterExImpl writer)` Writes fields to provided writer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OdbcQuery

    public OdbcQuery()

Default constructor is used for serialization.

### Method Detail

#### sql

    public String sql()

Returns:
  Query SQL string.

#### args

    public Object[] args()

Returns:
  Query arguments.

#### writeBinary

    public void writeBinary(BinaryWriterExImpl writer)

Writes fields to provided writer.

Parameters:
  `writer` - Binary object writer.

#### readBinary

    public void readBinary(BinaryReaderExImpl reader)

Reads fields from provided reader.

Parameters:
  `reader` - Binary object reader.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020